#
# Copyright (c) 2004-2015 Ralf Corsepius, Ulm, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

%global srcvers	2.0.1
%global rpmvers 2.0.1

%global coin_includedir %{expand:%%(coin-config --includedir)}
%global coin_htmldir %{expand:%%(coin-config --datadir)/Coin3}

Summary: Volume rendering library for Coin
Name: SIMVoleon
Version: %{rpmvers}
Release: 28%{?dist}

License: GPLv2
Group: System Environment/Libraries
URL: http://www.coin3d.org

Source: ftp://ftp.coin3d.org/pub/coin/src/SIMVoleon-%{srcvers}.tar.gz

# Backport from 2.0.0:
#  The 2.0.1 tarball lacks files.
Patch0: SIMVoleon-2.0.1-doxyfixes.diff
Patch1: SIMVoleon-2.0.1-simacros.diff.bz2
Patch2: SIMVoleon-2.0.1-libtool.diff.bz2
Patch3: SIMVoleon-2.0.1-gcc4.1.diff
# From upstream
Patch4: SIMVoleon-2.0.1-pivy-hacks.diff
# bash-4 compatibility bugfix
Patch5: SIMVoleon-2.0.1-bash4.0.diff

# Update config.{guess,sub} for aarch64 (RHBZ #926532)
Patch6: SIMVoleon-2.0.1-config.diff

BuildRequires: Coin3-devel
BuildRequires: doxygen

Provides: Coin3-SIMVoleon = %{version}-%{release}

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
A volume rendering library for Coin.

%package devel
Summary: Development files for SIMVoleon
Requires: %{name} = %{version}-%{release}
Requires: Coin3-devel

Provides: Coin3-SIMVoleon-devel = %{version}-%{release}

%description devel
Development files for SIMVoleon.

%prep
%setup -q -n SIMVoleon-%{srcvers}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

chmod +x cfg/doxy4win.pl

%build
%configure \
	--includedir=%{coin_includedir} \
	--disable-dependency-tracking \
	--enable-man \
	--enable-html \
	htmldir=%{coin_htmldir}/SIMVoleon
make %{?_smp_mflags}

# Strip the default libdir
# Remove %%{optflags}, %%{__global_ldflags}
sed -i -e "s,\-L%{_libdir}\",\"," \
  -e "s|%{optflags}||;s|%{__global_ldflags}||" simvoleon-default.cfg

# simvoleon-config is arch dependent
sed -i -e "s,/share/Coin/conf/,/%{_lib}/Coin3/conf/,g" bin/simvoleon-config

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la

install -d -m 755 ${RPM_BUILD_ROOT}%{_libdir}/Coin3
mv ${RPM_BUILD_ROOT}%{_datadir}/Coin/conf ${RPM_BUILD_ROOT}%{_libdir}/Coin3

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc AUTHORS ChangeLog README NEWS
%license COPYING
%{_libdir}/libSimVoleon*.so.*

%files devel
%{_bindir}/*
%{coin_includedir}/*
%{_libdir}/libSimVoleon*.so
%{_datadir}/aclocal/simvoleon.m4
%{_libdir}/Coin3
%doc %{coin_htmldir}/*

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Dec 27 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 2.0.1-23
- Eliminate %%define.

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 2.0.1-21
- Rebuilt for GCC 5 C++11 ABI change

* Fri Feb 27 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 2.0.1-20
- Add Provides: Coin3-SIMVoleon, Coin3-SIMVoleon.

* Thu Feb 26 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 2.0.1-19
- Rebuild against Coin3.
- Modernise spec.
- Remove %%optflags and %%__global_ld_flags from *.cfg.

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 19 2013 Ralf Corsépius <corsepiu@fedoraproject.org> - 2.0.1-15
- Modernize spec.
- Update config.{guess,sub} for aarch64 (RHBZ #926532).

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 28 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 2.0.1-10
- Add SIMVoleon-2.0.1-pivy-hacks.diff, SIMVoleon-2.0.1-bash4.0.diff.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 10 2008 Ralf Corsépius <rc040203@freenet.de> - 2.0.1-8
- Rebuild for gcc43.
- Spec-file cosmetics.
- Update copyright.

* Wed Aug 22 2007 Ralf Corsépius <rc040203@freenet.de> - 2.0.1-7
- Mass rebuild.
- Update license tag.

* Tue Feb 20 2007 Ralf Corsépius <rc040203@freenet.de> - 2.0.1-6
- Install simvoleon-default.cfg into %%{_prefix}/%%{_lib}

* Mon Feb 19 2007 Ralf Corsépius <rc040203@freenet.de> - 2.0.1-5
- Filter errant -L%%_libdir from soqt-config.cfg.
- Remove *.la.

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 2.0.1-4
- Mass rebuild.

* Tue Feb 28  2006 Ralf Corsépius <rc040203@freenet.de> - 2.0.1-3
- Rebuild.

* Mon Jan 16  2006 Ralf Corsépius <rc040203@freenet.de> - 2.0.1-2
- Rebuild.
- Add gcc4.1 patch.
- Spec cleanup.

* Sat May 21  2005 Ralf Corsepius <ralf@links2linux.de> - 2.0.1-1
- FE submission candidate.

* Mon Oct 11  2004 Ralf Corsepius <ralf@links2linux.de> - 0:2.0.0-0.fdr.1
- Upstream update.

* Tue Jul 27  2004 Ralf Corsepius <ralf@links2linux.de> - 0:1.0.0-0.fdr.1
- Initial Fedora RPM.
